ADB(4)

NAME
adb - Apple Desktop Bus

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device adb

DESCRIPTION
The adb driver provides support for the Apple Desktop Bus, which is a simple multi-drop bus used in general for input peripherals in older Apple Macintosh hardware.

The Apple Desktop Bus provides attachment for up to 16 devices, including multiple devices of a single type, but not does support hot-plugging.

SEE ALSO
Apple Tech Note HW01: ADB - The Untold Story: Space Aliens Ate My Mouse: http://developer.apple.com/legacy/mac/library/technotes/hw/hw_01.html

akbd(4), ams(4), cuda(4), pmu(4)

HISTORY
The adb device driver appeared in FreeBSD 8.0.

AUTHORS
-nosplit The adb driver was written by Nathan Whitehorn <nwhitehorn@FreeBSD.org>.